> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a metadata cascade policy

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

Information for a metadata cascade policy can be retrieved by calling the
<Link href="/reference/get-metadata-cascade-policies-id">`GET /metadata_cascade_policies/:id`</Link> API endpoint with the
`id` of the policy.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/metadata_cascade_policies/324324" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.metadataCascadePolicies.getMetadataCascadePolicyById(
    cascadePolicyId,
  );
  ```

  ```python Python v10 theme={null}
  client.metadata_cascade_policies.get_metadata_cascade_policy_by_id(cascade_policy_id)
  ```

  ```csharp .NET v10 theme={null}
  await client.MetadataCascadePolicies.GetMetadataCascadePolicyByIdAsync(metadataCascadePolicyId: cascadePolicyId);
  ```

  ```swift Swift v10 theme={null}
  try await client.metadataCascadePolicies.getMetadataCascadePolicyById(metadataCascadePolicyId: cascadePolicyId)
  ```

  ```java Java v10 theme={null}
  client.getMetadataCascadePolicies().getMetadataCascadePolicyById(cascadePolicyId)
  ```

  ```java Java v5 theme={null}
  String cascadePolicyID = "1234";
  BoxMetadataCascadePolicy metadataCascadePolicy = new BoxMetadataCascadePolicy(api, cascadePolicyID);
  BoxMetadataCascadePolicy.Info metadataCascadePolicyInfo = metadataCascadePolicy.getInfo();
  ```

  ```py Python v4 theme={null}
  cascade_policy = client.metadata_cascade_policy('84113349-794d-445c-b93c-d8481b223434').get()
  print(f'Cascade policy applies to a template owned by enterprise {cascade_policy.owner_enterprise.id}')
  ```

  ```csharp .NET v6 theme={null}
  BoxMetadataCascadePolicy retrievedCascadePolicy = await client.MetadataCascadePolicyManager
      .GetCascadePolicyAsync("12345", IEnumerable<string> fields = null);
  ```

  ```js Node v4 theme={null}
  var policyID = '84113349-794d-445c-b93c-d8481b223434';
  client.metadata.getCascadePolicy(policyID)
   .then(cascadePolicy => {
    /* cascadePolicy -> {
     id: '84113349-794d-445c-b93c-d8481b223434',
     type: 'metadata_cascade_policy',
     owner_enterprise: {
      type: 'enterprise',
      id: '11111'
     },
     parent: {
      type: 'folder',
      id: '22222'
     },
     scope: 'enterprise_11111',
     templateKey: 'testTemplate'
    }
    */
   });
  ```
</CodeGroup>

<Info>
  To get the `id` of the policy,
  <Link href="/guides/metadata/cascades/list">list all policies</Link> for the folder.
</Info>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Get metadata cascade policy"), href: "/reference/get-metadata-cascade-policies-id", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("List metadata cascade policies"), href: "/guides/metadata/cascades/list", badge: "GUIDE" },
{ label: translate("Create a metadata cascade policy"), href: "/guides/metadata/cascades/create", badge: "GUIDE" }
]}
/>
